%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

%define major_cxx 2
%define libname_cxx %mklibname %{name}++ %{major_cxx}
%define devname_cxx %mklibname -d %{name}++

Summary:	Control radio transceivers and receivers
Name:		hamlib
Version:	1.2.15.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Communications/Radio
Url:		http://hamlib.sourceforge.net
Source:		http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	gd-devel
BuildRequires:	boost-devel
BuildRequires:	libltdl-devel


%description
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package -n %{libname}
Summary:	Run-time library to control radio transceivers and receivers
Group:		Communications/Radio
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < %{version}-%{release}
Obsoletes:	hamlib-c++ < %version
Obsoletes:	hamlib-doc < %version
Obsoletes:	hamlib-perl < %version
Obsoletes:	hamlib-python < %version
Obsoletes:	hamlib-tcl-1.2.9 < %version


%description -n %{libname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package utils
Summary:	Utilities to support the hamlib radio control library
Group:		Communications/Radio
Obsoletes:	hamlib < %version
Provides:	hamlib = %version-%release
Requires:	%{_lib}hamlib2

%description utils
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides a command-line utility to test the hamlib library and
to control transceivers if you're short of anything more sophisticated.

%package -n %{devname}
Summary:	Development library to control radio transcievers and receivers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	hamlib-c++-devel < %version
Obsoletes:	hamlib-devel < %version

%description -n %{devname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides the development files and headers.


%prep
%setup -q


%build
autoconf
%configure2_5x \
	--disable-static \
	--with-rigmatrix \
	--without-perl-binding \
	--without-python-binding
%make

%install
%makeinstall

#we don't want these
find %{buildroot} -name "*.la" -exec rm {} \;

%files -n %{libname}
%doc AUTHORS ChangeLog PLAN README THANKS TODO
%{_libdir}/libhamlib.so.%{major}*
%{_libdir}/hamlib/hamlib-*.so
%{_libdir}/libhamlib++.so.%{major_cxx}*

%files utils
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_bindir}/*
%{_sbindir}/*

%files -n %{devname}
%doc README.developer
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/rig.h
%{_includedir}/%{name}/riglist.h
%{_includedir}/%{name}/rig_dll.h
%{_includedir}/%{name}/rotator.h
%{_includedir}/%{name}/rotlist.h
%{_datadir}/aclocal/hamlib.m4
%{_libdir}/pkgconfig/hamlib.pc
%{_libdir}/libhamlib.so
%{_libdir}/libhamlib++.so
%{_includedir}/%{name}/rigclass.h
%{_includedir}/%{name}/rotclass.h


%changelog
* Mon Apr 22 2013 Texstar <texstar at gmail.com> 1.2.15.3-1pclos2013
- update to 1.2.15.3
- change to correct library format
